import { createRouter, createWebHistory } from 'vue-router';
import ChatPanel from '../components/ChatPanel.vue';
import DocsPanel from '../components/DocsPanel.vue';
import ExamplesPanel from '../components/ExamplesPanel.vue';
import FlowPanel from '../components/FlowPanel.vue';

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      name: 'chat',
      component: ChatPanel
    },
    {
      path: '/docs',
      name: 'docs',
      component: DocsPanel
    },
    {
      path: '/examples',
      name: 'examples',
      component: ExamplesPanel
    },
    {
      path: '/flow',
      name: 'flow',
      component: FlowPanel
    }
  ]
});

export default router; 